%global commit ea4dd0c677e92cd06987edd20fbdcc5d23402248

Name:           carbonate
Version:        1.0.1
Release:        2%{?dist}
Summary:        Utilities for managing graphite clusters
License:        MIT
URL:            https://github.com/graphite-project/carbonate
Source0:        https://github.com/graphite-project/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-carbon
BuildRequires:  python2-mock
BuildRequires:  python2-nose
BuildRequires:  python2-setuptools
Requires:       python2-carbon

# argparse is default in python 2.7 and higher
%if 0%{?rhel} == 6
BuildRequires:  python-argparse
Requires:       python-argparse
%endif

%description
Graphite clusters are pretty cool. Here are some primitive tools to help you 
manage your graphite clusters.

All of the tools support two common arguments; the path to a config file, and 
the name of the cluster. Using these tools alongside a config file that 
describes your graphite clusters you can build up scripts to manage your 
metrics. Some of the tools could easily be replaced with one-liners in shell, 
but exist here for convenience and readability. The goal is to provide fast, 
predictable utilities that can easily be composed into more advanced tooling.

%prep
%autosetup -n %{name}-%{version}

%build
%py2_build

%install
%py2_install

# install the example config
mkdir -p %{buildroot}%{_sysconfdir}
cp -p conf/carbonate.conf %{buildroot}%{_sysconfdir}

# whisper-fill is provided by python-whisper
rm %{buildroot}/%{_bindir}/whisper-fill

%check
%{__python2} %{_bindir}/nosetests -v

%files
%license LICENSE
%doc CHANGELOG.md CONTRIBUTING.md README.md
%config(noreplace) %{_sysconfdir}/carbonate.conf
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-%{version}-py2.?.egg-info
%{_bindir}/carbon-hosts
%{_bindir}/carbon-list
%{_bindir}/carbon-lookup
%{_bindir}/carbon-path
%{_bindir}/carbon-sieve
%{_bindir}/carbon-stale
%{_bindir}/carbon-sync
%{_bindir}/whisper-aggregate


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Piotr Popieluch <piotr1212@gmail.com> - 1.0.1-1
- Update to 1.0.1
- Confirm to updated package guidelines
- New URL

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Apr 05 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.2.2-1
- Initial package
